Question for 3.0J D2Ckey on some games

Discussion in 'Wii - Hacking' started by dreadbread, Jan 14, 2008.

Jan 14, 2008
  1. dreadbread
    OP

    Newcomer dreadbread Member

    Joined:
    Jan 14, 2008
    Messages:
    39
    Country:
    United States
    Hey guys, I have read the guide for Jap Wii owners (version 1) (version 2) but none confirms anything on a 3.0J with D2Ckey. I'll just confirm everything here and this can provide others a summary as well.

    My questions:
    1. Metroid Prime 3 asks for an update, should it? even if I have 3.0J and D2Ckey?

    2. Metroid Prime 3: a) if I did not do the "unplug trick", I can play the game but I'll have dual channels? right? If I did the "unplug trick", everything will be fine?
    b) If I screwed up the "unplug trick", what will happen? Dual channels?

    3. Fire Emblem Radiant Dawn: no way to play the US version? from what I've read there, no way to play US version. I'll just confirm.

    4. Super Mario Galaxy: cannot be played on a Jap Wii. SMG JP update will fix semi-brick but cause dual channels. (not really a question)

    thanks a lot!
     
  2. Dnestr

    Newcomer Dnestr Member

    Joined:
    Jan 6, 2008
    Messages:
    28
    Country:
    United States
    SMG NTSC-US can't be played on a Jap Wii no matter what you do, that's correct. I've been playing SMG NTSC-J (I can't read Japanese), however, and have come to the realization that you don't need to read squat when it comes to Super Mario games. Just letting you know that it's still fun if you don't understand the language. And if you're looking to fix a semi-brick just find a copy of Wii Fit in Japanese.
     
  3. Pikachu025

    Member Pikachu025 GBAtemp Advanced Fan

    Joined:
    May 3, 2006
    Messages:
    960
    Location:
    Austria
    Country:
    Austria
    From what I heard, if you let WiiFit install it's 3.1J update, a brickblocked MP3-US will work, even without using the "unplug trick". Not sure how true this is, though.
     
  4. dreadbread
    OP

    Newcomer dreadbread Member

    Joined:
    Jan 14, 2008
    Messages:
    39
    Country:
    United States
    so I'll just download a Japanese WiiFit and have it update my Wii?
    Only 3.1J firmware can play Metroid 3 without using the unplug trick? and even if you have a 3.0J it will still ask for an update?

    my Super Paper Mario asks for an update but I have a 3.0J. according to the Compatibility List, it works perfectly on a 2.2J. should I go on with the update?

    thanks a lot!
     

Share This Page